polybori::groebner::ChainCriterion Class Reference

This class defines ChainCriterion. More...

`#include <ChainCriterion.h>`

## Public Member Functions

| ChainCriterion (const GroebnerStrategy &strat, int i, int j)
bool | operator() (const Exponent &lmExp)

## Public Attributes

const GroebnerStrategy * | strat
int | i
int | j

## Detailed Description

This class defines ChainCriterion.

## Constructor & Destructor Documentation

polybori::groebner::ChainCriterion::ChainCriterion | ( | const GroebnerStrategy & | strat,
|  | int | i,
|  | int | j
| ) |  |

inline

## Member Function Documentation

bool polybori::groebner::ChainCriterion::operator() | ( | const Exponent & | lmExp | ) |

inline

References polybori::groebner::GroebnerStrategy::generators, polybori::groebner::PairStatusSet::hasTRep(), polybori::groebner::PolyEntryVector::index(), polybori::groebner::PairManagerFacade< StrategyType >::pairs, and polybori::groebner::PairManager::status.

## Member Data Documentation

int polybori::groebner::ChainCriterion::i

int polybori::groebner::ChainCriterion::j

const GroebnerStrategy* polybori::groebner::ChainCriterion::strat

Todo:
  : connect via vars

The documentation for this class was generated from the following file:

- ChainCriterion.h